Module javafx.graphics
Package javafx.scene.shape

# Class PathElement

java.lang.Object
javafx.scene.shape.PathElement

Direct Known Subclasses:
  `ArcTo`, `ClosePath`, `CubicCurveTo`, `HLineTo`, `LineTo`, `MoveTo`, `QuadCurveTo`, `VLineTo`

public abstract class PathElement extends Object
The `PathElement` class represents an abstract element of the `Path` that can represent any geometric objects like straight lines, arcs, quadratic curves, cubic curves, etc.

Since:
  JavaFX 2.0

## Property Summary

Properties
Type
Property
Description
`final BooleanProperty`
`absolute`
A flag that indicates whether the path coordinates are absolute or relative.

## Constructor Summary

Constructors
Constructor
Description
`PathElement()`

## Method Summary

Modifier and Type
Method
Description
`final BooleanProperty`
`absoluteProperty()`
A flag that indicates whether the path coordinates are absolute or relative.
`final boolean`
`isAbsolute()`
Gets the value of the `absolute` property.
`final void`
`setAbsolute(boolean value)`
Sets the value of the `absolute` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Property Details

### absolute

public final BooleanProperty absoluteProperty
A flag that indicates whether the path coordinates are absolute or relative. A value of true indicates that the coordinates are absolute values. A value of false indicates that the values in this PathElement are added to the coordinates of the previous PathElement to compute the actual coordinates.

Default value:
  true
See Also:
  - `isAbsolute()`
  - `setAbsolute(boolean)`
  - `absoluteProperty()`

## Constructor Details

### PathElement

public PathElement()

## Method Details

### setAbsolute

public final void setAbsolute(boolean value)
Sets the value of the `absolute` property.

Property description:
  A flag that indicates whether the path coordinates are absolute or relative. A value of true indicates that the coordinates are absolute values. A value of false indicates that the values in this PathElement are added to the coordinates of the previous PathElement to compute the actual coordinates.
Default value:
  true
Parameters:
  `value` - the value for the `absolute` property
See Also:
  - `isAbsolute()`
  - `absoluteProperty()`

### isAbsolute

public final boolean isAbsolute()
Gets the value of the `absolute` property.

Property description:
  A flag that indicates whether the path coordinates are absolute or relative. A value of true indicates that the coordinates are absolute values. A value of false indicates that the values in this PathElement are added to the coordinates of the previous PathElement to compute the actual coordinates.
Default value:
  true
Returns:
  the value of the `absolute` property
See Also:
  - `setAbsolute(boolean)`
  - `absoluteProperty()`

### absoluteProperty

public final BooleanProperty absoluteProperty()
A flag that indicates whether the path coordinates are absolute or relative. A value of true indicates that the coordinates are absolute values. A value of false indicates that the values in this PathElement are added to the coordinates of the previous PathElement to compute the actual coordinates.

Default value:
  true
Returns:
  the `absolute` property
See Also:
  - `isAbsolute()`
  - `setAbsolute(boolean)`